# ``twisted`.`python`.`modules`.`_DefaultMapImpl``

class documentation

`class _DefaultMapImpl: (source)`

Implements interfaces: `twisted.python.modules.IPathImportMapper`

View In Hierarchy

Wrapper for the default importer, i.e. None.

Method | `mapPath` | Return a FilePath-like object.

def mapPath(self, fsPathString): (source)
from `twisted.python.modules.IPathImportMapper`
Return a FilePath-like object.

Parameters
fsPathString | Undocumented
pathLikeString | a path-like string, like one that might be passed to an import hook.
Returns
a `FilePath`, or something like it (currently only a `ZipPath`, but more might be added later).